Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.binding
Interface JUErrorHandler

All Known Implementing Classes:
  JUErrorHandlerDlg, JUErrorHandlerThrow

public interface JUErrorHandler

Implements reporting of all JClient and BC4J exceptions raised in the context of a JUFormBinding.

Applications could customize exception reporting in JClient by implementing this interface and providing a custom implementation to display/handle BC4J and JClient exceptions.

By default JUErrorHandlerThrow implements this interface and throws all exceptions as a JboException which is a generic Java runtime exception and base class for all BC4J and JClient exceptions.

For generated applications from JClient wizards, the wizards generate a call to set JUErrorHandlerDialog as the default error handler so that all exceptions are displayed in an error dialog.

See Also:
  `JboException`, `JUErrorHandlerThrow`, `JUErrorHandlerDialog`

Method Summary
`void` | `reportException(JUFormBinding formBnd, java.lang.Exception ex)` Implements how to handle the given exception raised within the JClient framework in the context of the given form binding.
`void` | `reportException(JUFormBinding formBnd, java.lang.Exception ex, boolean reportExceptionNow)`

Method Detail

### reportException

    public void reportException(JUFormBinding formBnd,
                                java.lang.Exception ex)

  Implements how to handle the given exception raised within the JClient framework in the context of the given form binding.

### reportException

    public void reportException(JUFormBinding formBnd,
                                java.lang.Exception ex,
                                boolean reportExceptionNow)

  Parameters:
    `formBnd` - the binding where the exception was caused
    `ex` - the exception to report
    `reportExceptionNow` - true if the caller should be stopped until the exception is reported. If an exception is fatal, and the calling program wants to abort, the calling program typically wants to wait till the exception is shown to the user.
  See Also:
    `reportException(JUFormBinding, Exception)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.